Skip to main content
POST
/
v2
/
commands
/
completions
/v2/commands/completions
curl --request POST \
  --url https://api.example.com/v2/commands/completions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parties": [
    "<string>"
  ],
  "userId": "<string>",
  "beginExclusive": 123
}
'
[
  {
    "completionResponse": {
      "Completion": {
        "value": {
          "commandId": "<string>",
          "userId": "<string>",
          "actAs": [
            "<string>"
          ],
          "offset": 123,
          "synchronizerTime": {
            "synchronizerId": "<string>",
            "recordTime": "<string>"
          },
          "status": {
            "code": 123,
            "message": "<string>",
            "details": [
              {
                "typeUrl": "<string>",
                "value": "<string>",
                "unknownFields": {
                  "fields": {}
                },
                "valueDecoded": "<string>"
              }
            ]
          },
          "updateId": "<string>",
          "submissionId": "<string>",
          "deduplicationPeriod": {
            "DeduplicationDuration": {
              "value": {
                "seconds": 123,
                "nanos": 123,
                "unknownFields": {
                  "fields": {}
                }
              }
            }
          },
          "traceContext": {
            "traceparent": "<string>",
            "tracestate": "<string>"
          },
          "paidTrafficCost": 123
        }
      }
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Query Parameters

limit
integer<int64>

maximum number of elements to return, this param is ignored if is bigger than server setting

stream_idle_timeout_ms
integer<int64>

timeout to complete and send result if no new elements are received (for open ended streams)

Body

application/json
parties
string[]
required

Non-empty list of parties whose data should be included. The stream shows only completions of commands for which at least one of the act_as parties is in the given set of parties. Must be a valid PartyIdString (as described in value.proto).

Required: must be non-empty

userId
string

Only completions of commands submitted with the same user_id will be visible in the stream. Must be a valid UserIdString (as described in value.proto).

Required unless authentication is used with a user token. In that case, the token's user-id will be used for the request's user_id.

Optional

beginExclusive
integer<int64>

This optional field indicates the minimum offset for completions. This can be used to resume an earlier completion stream. If not set the ledger uses the ledger begin offset instead. If specified, it must be a valid absolute offset (positive integer) or zero (ledger begin offset). If the ledger has been pruned, this parameter must be specified and greater than the pruning offset.

Optional

Response

completionResponse
CompletionResponse · object

Required